com.fasterxml.jackson.databind.jsonFormatVisitors

## Enum JsonFormatTypes

- java.lang.Object
- - java.lang.Enum<JsonFormatTypes>
  - - com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatTypes

- All Implemented Interfaces:
    Serializable, Comparable<JsonFormatTypes>

      public enum JsonFormatTypes
      extends Enum<JsonFormatTypes>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ANY`
    `ARRAY`
    `BOOLEAN`
    `INTEGER`
    `NULL`
    `NUMBER`
    `OBJECT`
    `STRING`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JsonFormatTypes` | `forValue(String s)`
    `String` | `value()`
    `static JsonFormatTypes` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static JsonFormatTypes[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STRING

          public static final JsonFormatTypes STRING

    - #### NUMBER

          public static final JsonFormatTypes NUMBER

    - #### INTEGER

          public static final JsonFormatTypes INTEGER

    - #### BOOLEAN

          public static final JsonFormatTypes BOOLEAN

    - #### OBJECT

          public static final JsonFormatTypes OBJECT

    - #### ARRAY

          public static final JsonFormatTypes ARRAY

    - #### NULL

          public static final JsonFormatTypes NULL

    - #### ANY

          public static final JsonFormatTypes ANY

  - ### Method Detail

    - #### values

          public static JsonFormatTypes[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JsonFormatTypes c : JsonFormatTypes.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JsonFormatTypes valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public String value()

    - #### forValue

          public static JsonFormatTypes forValue(String s)

Copyright © 2008–2018 FasterXML. All rights reserved.